## ros-humble-crane-plus-moveit-config 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(crane_plus_moveit_config)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  launch
  config
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-crane-plus-moveit-config (2.0.1-1bookworm) bookworm; urgency=high



 -- RT Corporation <shop@rt-net.jp>  Thu, 07 Sep 2023 16:00:00 -0000

ros-humble-crane-plus-moveit-config (2.0.0-1bookworm) bookworm; urgency=high

  * カメラサンプルのHumble対応 (#64 <https://github.com/rt-net/crane_plus/issues/64>)
  * Contributors: Shota Aoki, YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-crane-plus-moveit-config (1.1.0-1bookworm) bookworm; urgency=high

  * Update author tags (#49 <https://github.com/rt-net/crane_plus/issues/49>)
  * Rename CRANE+V2 to CRANE+ V2 (#44 <https://github.com/rt-net/crane_plus/issues/44>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 15 Aug 2022 16:00:00 -0000

ros-humble-crane-plus-moveit-config (1.0.0-1bookworm) bookworm; urgency=high

  * パッケージバージョン表記の更新 (#40 <https://github.com/rt-net/crane_plus/issues/40>)
  * xacroファイルの読み込みを一元化するためのPythonスクリプトを追加 (#36 <https://github.com/rt-net/crane_plus/issues/36>)
  * Update crane_plus_gazebo (#30 <https://github.com/rt-net/crane_plus/issues/30>)
  * Update installation for foxy release. (#29 <https://github.com/rt-net/crane_plus/issues/29>)
  * Contributors: Atsushi Kuwagata, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 21 Jun 2022 16:00:00 -0000

ros-humble-crane-plus-moveit-config (0.1.0-1bookworm) bookworm; urgency=high

  * Update maintainer and author in package.xml (#23 <https://github.com/rt-net/crane_plus/issues/23>)
  * Update crane_plus_moveit_config (#20 <https://github.com/rt-net/crane_plus/issues/20>)
  * Add joint_values example and pick_and_place example (#15 <https://github.com/rt-net/crane_plus/issues/15>)
  * Add crane_plus_examples (#13 <https://github.com/rt-net/crane_plus/issues/13>)
  * Fix launch files (#12 <https://github.com/rt-net/crane_plus/issues/12>)
  * Use joint_trajectory_controller for gripper control (#11 <https://github.com/rt-net/crane_plus/issues/11>)
  * Refactor to pass ament_lint check (#9 <https://github.com/rt-net/crane_plus/issues/9>)
  * Add crane_plus_gazebo (#5 <https://github.com/rt-net/crane_plus/issues/5>)
  * Add crane plus control (#3 <https://github.com/rt-net/crane_plus/issues/3>)
  * Add moveit config (#2 <https://github.com/rt-net/crane_plus/issues/2>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 10 Nov 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-crane-plus-moveit-config
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-moveit, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-tf2-ros, ros-humble-xacro, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-crane-plus-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-moveit, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-tf2-ros, ros-humble-xacro, ros-humble-ros-workspace
Description: CRANE+ V2 move_group config package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-crane-plus-moveit-config//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-crane-plus-moveit-config//opt/ros/humble/opt/crane_plus_moveit_config/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
